Summary:	xclock application - analog/digital clock for X
Summary(pl.UTF-8):	Aplikacja xclock - analogowy lub cyfrowy zegar dla X
Name:		xorg-app-xclock
Version:	1.0.9
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xclock-%{version}.tar.bz2
# Source0-md5:	437522a96f424f68fc64ed34ece9b211
Source1:	xclock.desktop
Source2:	xclock.png
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXft-devel >= 2
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXrender
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-lib-libxkbfile-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-util-util-macros >= 1.8
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xclock is the classic X Window System clock utility. It displays the
time in analog or digital form. The time is continuously updated at a
frequency which may be specified by the user.

%description -l pl.UTF-8
xclock to klasyczny zegar dla systemu X Window. Wyświetla czas w
postaci analogowej lub cyfrowej. Czas jest stale uaktualniany z
częstotliwością określoną przez użytkownika.

%prep
%setup -q -n xclock-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xclock.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xclock.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_bindir}/xclock
%{_datadir}/X11/app-defaults/XClock*
%{_desktopdir}/xclock.desktop
%{_pixmapsdir}/xclock.png
%{_mandir}/man1/xclock.1*
%changelog
* Sun Aug 25 2019 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-xclock.git;a=log;h=master

* Tue Jul 16 2019 Jakub Bogusz <qboosh@pld-linux.org> bc3fe73
- updated to 1.0.9

* Fri Feb 22 2019 Jakub Bogusz <qboosh@pld-linux.org> f88391b
- updated to 1.0.8

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 792587a
- x32 rebuild
- release 2 (by relup.sh)

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> e9d521b
- updated to 1.0.7

* Sat Feb 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9204f25
- up to 1.0.6

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 41f6cfc
- dropped pre-cvs changelog

* Fri Sep 24 2010 Jakub Bogusz <qboosh@pld-linux.org> e3b915a
- updated to 1.0.5

* Wed Oct 07 2009 Jakub Bogusz <qboosh@pld-linux.org> 0f0772a
- updated util-macros version
- added README to doc

* Tue Sep 22 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> aa20f51
- up to 1.0.4

* Tue Sep 22 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9fc6d25
- up to 1.0.4

* Wed Nov 12 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6afe8c3
- release 4

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> a56f2c9
- rel 3; fix xaw related build

* Tue Nov 11 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 65490ad
- new

* Fri Nov 07 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f52cd1b
- release 2

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> f5a951a
- cleanup

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 2407c7d
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Aug 07 2007 Jakub Bogusz <qboosh@pld-linux.org> 02a232e
- real descs from man

* Tue Aug 07 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d158ea0
- up to 1.0.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ea194c8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ce66722
- converted to UTF-8

